For the complete documentation index, see llms.txt. This page is also available as Markdown.

Material Tags

Get all tags

get

The API gives the ability to get all material tags. It is possible to filter tags by name using the 'name' query parameter.

Authorizations
x-api-keystringRequired
Query parameters
namestringOptional

Tag name

Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Responses
200Success
application/json
idstring · uuidRequired

Unique identifier of the material tag

Example: b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e
namestringRequired

Name of the material tag

Example: High Priority
colorstringRequired

Color code for the tag (hex format)

Example: #FF5733
created_atstring · date-timeRequired

Timestamp when the tag was created

Example: 2025-01-23T17:01:31.692Z
updated_atstring · date-time · nullableOptional

Timestamp when the tag was last updated

Example: 2025-01-24T10:30:45.123Z
get/api/v1/public/material-tags
GET /api/v1/public/material-tags HTTP/1.1
Host: api-stage.hesh.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "id": "b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e",
    "name": "High Priority",
    "color": "#FF5733",
    "created_at": "2025-01-23T17:01:31.692Z",
    "updated_at": "2025-01-24T10:30:45.123Z"
  }
]

Create tag

post

The API gives the ability to create a new material tag.

Authorizations
x-api-keystringRequired
Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Body
namestringRequired

Name of the material tag

Example: High Priority
colorstringRequired

Color code for the tag (hex format)

Example: #FF5733
Responses
201Success
application/json
idstring · uuidRequired

Unique identifier of the material tag

Example: b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e
namestringRequired

Name of the material tag

Example: High Priority
colorstringRequired

Color code for the tag (hex format)

Example: #FF5733
created_atstring · date-timeRequired

Timestamp when the tag was created

Example: 2025-01-23T17:01:31.692Z
updated_atstring · date-time · nullableOptional

Timestamp when the tag was last updated

Example: 2025-01-24T10:30:45.123Z
post/api/v1/public/material-tags
POST /api/v1/public/material-tags HTTP/1.1
Host: api-stage.hesh.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 42

{
  "name": "High Priority",
  "color": "#FF5733"
}
{
  "id": "b86fa12a-76fc-46f5-8a3e-bf39e7be4c4e",
  "name": "High Priority",
  "color": "#FF5733",
  "created_at": "2025-01-23T17:01:31.692Z",
  "updated_at": "2025-01-24T10:30:45.123Z"
}

Delete a tag

delete

The API gives the ability to delete an existing material tag.

Authorizations
x-api-keystringRequired
Path parameters
tag_idstringRequired

Tag ID

Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Responses
200Success
application/json
messagestringRequired

Message returned from API confirming the operation

Example: The operation was done successfully
delete/api/v1/public/material-tags/{tag_id}
DELETE /api/v1/public/material-tags/{tag_id} HTTP/1.1
Host: api-stage.hesh.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "The operation was done successfully"
}

Update tag

patch

The API gives the ability to update an existing material tag.

Authorizations
x-api-keystringRequired
Path parameters
tag_idstringRequired

Tag ID

Header parameters
x-tenant-idstring · uuidOptional

Tenant id (uuid v4)

Body
namestringOptional

Name of the material tag

Example: Medium Priority
colorstringOptional

Color code for the tag (hex format)

Example: #33A1FF
Responses
200Success
application/json
messagestringRequired

Message returned from API confirming the operation

Example: The operation was done successfully
patch/api/v1/public/material-tags/{tag_id}
PATCH /api/v1/public/material-tags/{tag_id} HTTP/1.1
Host: api-stage.hesh.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "name": "Medium Priority",
  "color": "#33A1FF"
}
{
  "message": "The operation was done successfully"
}

Last updated